using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class ProtonBulletLarge : Bullet
{
    public const int Width = 13;
    public const int Height = 13;

    protected override string TextureName => TextureNames.Bullets.ProtonLarge;

    public ProtonBulletLarge(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 3;
    }
}